Subject: [bug#60266] [PATCH] gnu: Add form.

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 16 Mar 2023 06:23:09 +0100

Am Donnerstag, dem 16.03.2023 um 01:15 +0000 schrieb Antero Mejr:
> > > +                (snippet #~(substitute* "check/examples.frm"
> > > +                             (("#pend_if valgrind\\?")
> > > +                              "#pend_if 0")))))
> > 
> > This snippet appears to be related to the specifics of this package
> > build?  E.g. if someone were to grab the source with `guix build -S
> > form`, they would not be able to have valgrind support, correct? 
> > If that's the case, perhaps it would be better to apply this
> > substitution in a build phase.
> 
> No, it's disabling a failing test that has a known problem (memory
> leak). Added a comment with the explanation.
Test failures should also be fixed at build time.  Other than that, you
could also try to fix the memory leak that causes the failure via a
patch.

> > Guix usually assumes `SSE2` capabilities for x86_64 targets, iirc. 
It does, but not for i386 to i686, which also often see sse2 flags in 
build systems.

> 
> I used the other homepage so people can skip the weird "license
> agreement" page at https://www.nikhef.nl/~form/.
Calling the GPL a license agreement is weird, and it doesn't help that 
https://www.nikhef.nl/~form/maindir/ also refers to it.  Perhaps we can
raise an issue about that upstream?

Cheers